Creates a new task_files by supplying directly the field task_files.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Request Formats :
application/json, text/json
{
"id": "d4d8faca-d8d6-4c9a-9504-d52bdbdf673b",
"task_id": "d76ba81e-888b-46e7-8a28-debec0cce045",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "cb845145-3c0b-4179-bad7-9ca913c69cfb",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-11-03T17:08:13.9400898+00:00",
"modified_dateutc": "2026-11-03T17:08:13.9400898+00:00",
"user_id": "8b1e3c22-dcbb-44d0-a2c5-00ccfdd24b56",
"show_on_web": true
}
Response Information
Resource Description :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Response Formats
application/json, text/json
{
"id": "98e11970-ddbc-4ff1-b627-b65a311aba55",
"task_id": "f9e7a3b4-8fa2-41e3-9e01-b021c8571d71",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "80aa456b-d279-410e-ad10-fae175bdd1b5",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-11-03T17:08:13.9400898+00:00",
"modified_dateutc": "2026-11-03T17:08:13.9400898+00:00",
"user_id": "386dad91-e4b8-4e88-86d1-4ac86c05f25c",
"show_on_web": true
}